Bug 137298 - PPC build do not contain DRI modules
PPC build do not contain DRI modules
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-10-27 08:00 EDT by Ralf Ertzinger
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-02 07:21:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2004-10-27 08:00:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020

Description of problem:
The PPC builds of xorg do not contain the DRI modules, these are
present in the i386 packages.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to use DRI on ppc

Actual Results:  No modules present

Expected Results:  Modules present and working

Additional info:
Comment 1 Mike A. Harris 2004-10-28 23:06:51 EDT
Currently, PPC architecture intentionally has DRI disabled.  The PPC
builds are intended mainly for IBM pSeries/iSeries platforms where
stability of the X server is of utmost importance, and OpenGL hardware
acceleration is of little value in comparison.

Now however, with more and more people desiring a Fedora/PPC
official distro (including many Red Hatters too), and the majority
of potential Fedora/PPC users being Mac users, we will need to
explore making a separate DRI enabled PPC build of X specifically
for Fedora Core, while keeping DRI disabled for our official
RHEL4/PPC builds for IBM server hardware.

In the mean time, the spec file has this conditionalized to be
easy to enable and rebuild.  Fedora/PPC users wanting DRI support
in the mean time may want to rebuild the src.rpm until we have
official rpms with DRI enabled in the future.

Comment 2 Ralf Ertzinger 2004-10-29 07:45:25 EDT
If official packages will have DRI in the not too far future, I am
willing to wait for that.

Comment 3 Ralf Ertzinger 2004-12-02 07:21:04 EST
OK, it seems like there are DRI modules in the current rawhide
packages. I haven't gotten them to work, yet, but that's another
story. Thanks.

Note You need to log in before you can comment on or make changes to this bug.